RPM(8)

BEZEICHNUNG
rpm - RPM-Paketverwaltung

ÜBERSICHT

  PAKETE ABFRAGEN UND ÜBERPRÜFEN
rpm {-q|--query} [Auswahloptionen] [Abfrageoptionen]

rpm --querytags

rpm {-V|--verify} [Auswahloptionen] [Überprüfungsoptionen]

  INSTALLIEREN, AKTUALISIEREN UND ENTFERNEN VON PAKETEN
rpm {-i|--install} [Installationsoptionen] PAKETDATEI …

rpm {-U|--upgrade} [Installationsoptionen] PAKETDATEI …

rpm {-F|--freshen} [Installationsoptionen] PAKETDATEI …

rpm {--reinstall} [Installationsoptionen] PAKETDATEI …

rpm {-e|--erase} [--allmatches] [--justdb] [--nodb] [--nodeps] [--noscripts] [--notriggers] [--test] PAKETNAME …

  SONSTIGES
rpm --showrc

rpm --restore [select-options]

  Auswahloptionen
[PAKETNAME] [-a,--all [SELEKTION]] [-f,--file DATEI] [--path PFAD] [-g,--group GRUPPE] [-p,--package PAKETDATEI] [--hdrid SHA1] [--pkgid MD5] [--tid TID] [--querybynumber HDR-NUMMER] [--triggeredby HDR-NUMMER] [--whatprovides FÄHIGKEIT] [--whatrequires FÄHIGKEIT] [--whatrecommends FÄHIGKEIT] [--whatsuggests FÄHIGKEIT] [--whatsupplements FÄHIGKEIT] [--whatenhances FÄHIGKEIT] [--whatobsoletes FÄHIGKEIT] [--whatconflicts FÄHIGKEIT]

  Abfrageoptionen
Allgemein: [--changelog] [--changes] [--dupes] [-i,--info] [--last] [--qf,--queryformat ABFRAGEFORMAT] [--xml] [--json]

Abhängigkeiten: [--conflicts] [--enhances] [--obsoletes] [--provides] [--recommends] [-R,--requires] [--suggests] [--supplements]

Dateien: [-c,--configfiles] [-d,--docfiles] [--dump] [--fileclass] [--filecolor] [--fileprovide][--filerequire] [--filecaps] [--filesbypkg] [-l,--list] [-s,--state] [--noartifact] [--noghost] [--noconfig]

Skripte und Trigger: [--filetriggers] [--scripts] [--triggers,--triggerscripts]

  Überprüfungsoptionen
[--nodeps] [--nofiles] [--noscripts] [--nodigest] [--nosignature] [--nolinkto] [--nofiledigest] [--nosize] [--nouser] [--nogroup] [--nomtime] [--nomode] [--nordev] [--nocaps]

  Installationsoptionen
[--allfiles] [--badreloc] [--excludepath ALTER_PFAD] [--excludedocs] [--force] [-h,--hash] [--ignoresize] [--ignorearch] [--ignoreos] [--includedocs] [--justdb] [--nodb] [--nodeps] [--nodigest] [--noplugins] [--nocaps] [--noorder] [--noverify] [--nosignature] [--noscripts] [--notriggers] [--oldpackage] [--percent] [--prefix NEUER_PFAD] [--relocate ALTER_PFAD=NEUER_PFAD] [--replacefiles] [--replacepkgs] [--test]

BESCHREIBUNG
rpm ist eine leistungsfähige Paketverwaltung, die zum Erstellen, Installieren, Abfragen, Überprüfen, Aktualisieren und Löschen individueller Softwarepakete verwendet werden kann. Ein Paket besteht aus einem Dateiarchiv und Metadaten, die zum Installieren und Löschen der im Paket enthaltenen Dateien verwendet werden. Die Metadaten umfassen Hilfsskripte, Dateiattribute und beschreibende Informationen zum Paket. Pakete gibt es in zwei Varianten: Binärpakete, welche die zu installierende Software enthalten, und Quellpakete, die den Quellcode zusammen mit Anweisungen enthalten, die zum Erstellen von Binärpaketen erforderlich sind.

Einer der folgenden grundlegenden Modi muss ausgewählt werden: Abfragen, Überprüfen, Installieren/Aktualisieren/Auffrischen/Reinstallieren, Deinstallieren, Eigentümer/Gruppen festlegen, Abfrageschalter anzeigen und Konfiguration anzeigen.

  ALLGEMEINE OPTIONEN
Diese Optionen können in allen der verschiedenen Modi verwendet werden.

-?, --help
    gibt eine längere Hilfemeldung als sonst aus.

--version
    gibt eine einzelne Zeile aus, welche die Versionsummer von rpm angibt.

--quiet
    gibt so wenig wie möglich aus – es werden normalerweise nur Fehlermeldungen angezeigt.

-v, --verbose
    gibt ausführliche Informationen aus - normale Routine-Fortschrittsmeldungen werden angezeigt.

-vv gibt umfangreiche Debugging-Informationen aus.

--rcfile DATEILISTE
    Ersetze die Liste der zu lesenden Konfigurationsdateien durch DATEILIST. Siehe unter Rpmrc-Konfiguration für zusätzliche Details.

--load DATEI
    Lädt eine einzelne Makro-Datei.

--macros DATEILISTE
    Ersetze die Liste der zu ladenden Makro-Dateien durch DATEILIST. Siehe unter Makro-Konfigurationen für zusätzliche Details.

--pipe BEFEHL
    leitet die Ausgabe des Befehls rpm an den angegebenen BEFEHL weiter.

--dbpath VERZEICHNIS
    verwendet die im VERZEICHNIS angegebene Datenbank anstelle des vorgegebenen Pfads /var/lib/rpm.

--root VERZEICHNIS
    verwendet das Dateisystem in der durch das VERZEICHNIS angegebenen Wurzel für alle Aktionen. Beachten Sie, dass dies bedeutet, dass die Datenbank in diesem VERZEICHNIS für Abhängigkeitsüberprüfungen verwendet wird und Scriptlets (zum Beispiel %post zum Installieren oder %prep zum Erstellen eines Pakets) nach einem Wechsel in das angegebene VERZEICHNIS mit chroot(2) ausgeführt werden.

    Beachten Sie, dass rpm annimmt, dass Umgebungsvariable innerhalb der Wurzel vom Aufrufenden erstellt wurden, wie zum Beispiel Einhängungen, die für die Arbeit innerhalb vom Wurzelverzeichnis notwendig sind.

-D, --define='MAKRO AUSDRUCK'
    definiert ein MAKRO mit dem angegebenen AUSDRUCK.

--undefine='MAKRO'
    setzt die Definition des angegebenen MAKROs zurück.

-E, --eval='AUSDRUCK'
    Prints macro expansion of AUSDRUCK.

Weitere, seltener benötigte Optionen finden Sie in der Handbuchseite rpm-misc(8).

  INSTALLATIONS- UND AKTUALISIERUNGSOPTIONEN
In diesen Optionen kann PAKETDATEI entweder eine rpm-Binärdatei oder eine ASCII-Paketliste sein (siehe PAKETAUSWAHLOPTIONEN) und kann als ftp- oder http-URL angegeben werden, wobei das Paket vor der Installation heruntergeladen wird. Siehe FTP/HTTP-OPTIONEN für Informationen dazu, welche ftp- und http-Client-Optionen rpm unterstützt.

Die allgemeine Form eines Installationsbefehls für rpm lautet:

rpm {-i|--install} [Installationsoptionen] PAKETDATEI …

Dadurch wird ein neues Paket installiert.

Die allgemeine Form eines Aktualisierungsbefehls für rpm lautet:

rpm {-U|--upgrade} [Installationsoptionen] PAKETDATEI …

Dadurch wird ein Paket installiert oder ein aktuell installiertes Paket auf eine neuere Version aktualisiert. Dies ist das Gleiche wie eine Installation, außer dass alle anderen Versionen des Pakets nach der Installation des neuen Pakets entfernt werden.

rpm {-F|--freshen} [Installationsoptionen] PAKETDATEI …

Dadurch werden Pakete aktualisiert, aber nur jene, für die eine ältere Version installiert ist.

Die allgemeine Form eines rpm-Reinstallationsbefehls lautet:

rpm {--reinstall} [Installationsoptionen] PAKETDATEI …

Dadurch wird ein bereits installiertes Paket erneut installiert.

--allfiles
    installiert oder aktualisiert alle missingok-Dateien im Paket, ganz gleich, ob sie existieren oder nicht.

--badreloc
    wird zusammen mit --relocate verwendet und erlaubt Verschiebungen aller Dateipfade, nicht nur jener, die als ALTER_PFAD in den Festlegungen zu Verschiebungen im Binärpaket enthalten sind.

--excludepath ALTER_PFAD
    installiert keine Dateien, deren Namen mit ALTER_PFAD beginnen.

--excludeartifacts
    installiert keine Dateien, die als Artefakte markiert sind, wie zum Beispiel »build-id«-Links.

--excludedocs
    installiert keine Dateien, die als Dokumentation markiert sind (was Handbuchseiten und Texinfo-Dokumente einschliesst).

--force
    ist gleichbedeutend mit --replacepkgs, --replacefiles und --oldpackage.

-h, --hash
    gibt 50 Rautezeichen aus, wenn das Paketarchiv entpackt wird. Verwenden Sie dies zusammen mit -v|--verbose, um eine schönere Ausgabe zu erhalten.

--ignoresize
    überprüft vor der Installation des Pakets auf den eingehängten Dateisystemen nicht, ob genügend Speicherplatz vorhanden ist.

--ignorearch
    erlaubt die Installation oder Aktualisierung selbst dann, wenn die Architekturen des Binärpakets und des Rechners nicht übereinstimmen.

--ignoreos
    erlaubt die Installation oder Aktualisierung selbst dann, wenn die Betriebssysteme des Binärpakets und des Rechners nicht übereinstimmen.

--includedocs
    installiert Dokumentationsdateien. Dies ist das Standardverhalten.

--justdb
    aktualisiert nur die Datenbank, jedoch nicht das Dateisystem.

--nodb
    aktualisiert nur das Dateisystem, jedoch nicht die Datenbank.

--nodigest
    überprüft beim Lesen keine Paket- oder Kopfdaten-Prüfsummen.

--nomanifest
    verarbeitet Nicht-Paketdateien nicht als Paketlisten.

--nosignature
    überprüft beim Lesen keine Paket- oder Kopfdaten-Signaturen.

--nodeps
    führt vor der Installation oder Aktualisierung keine Abhängigkeitsüberprüfung aus.

--nocaps
    setzt keine Datei-Capabilitys.

--noorder
    ordnet die Pakete für die Installation nicht neu. Die Paketliste würde normalerweise neu geordnet, um Abhängigkeiten zu erfüllen.

--noverify
    führt vor der Installation keine Paketüberprüfung aus.

--noplugins
    lädt keine Erweiterungen und führt keine aus.

--noscripts, --nopre, --nopost, --nopreun, --nopostun, --nopretrans, --noposttrans, --nopreuntrans, --nopostuntrans
    führt das Scriptlet des angegebenen Namens nicht aus. Die Option --noscripts ist gleichbedeutend mit

--nopre --nopost --nopreun --nopostun --nopretrans --noposttrans --nopreuntrans --nopostuntrans

und deaktiviert die Ausführung der zugehörigen Scriptlets %pre, %post, %preun, %postun %pretrans, %posttrans, %preuntrans und %postuntrans.

--notriggers, --notriggerin, --notriggerun, --notriggerprein, --notriggerpostun
    führt kein Trigger-Scriptlet des genannten Typs aus. Die Option --notriggers ist gleichbedeutend mit

--notriggerprein --notriggerin --notriggerun --notriggerpostun

und deaktiviert die Ausführung der zugehörigen Scriptlets %triggerprein, %triggerin, %triggerun und %triggerpostun.

--nosysusers
    erzeugt keine »sysusers« von Paketen.

--oldpackage
    ermöglicht eine Aktualisierung, bei der ein neueres Paket durch ein älteres ersetzt wird.

--percent
    gibt Prozentsätze beim Entpacken von Dateien aus dem Paketarchiv aus. Dadurch soll rpm leichter durch andere Werkzeuge nutzbar sein.

--prefix NEUER_PFAD
    übersetzt für verschiebbare Binärpakete alle Dateipfade, die mit dem Installationspräfix in den Festlegungen zur Verschiebung beginnen, in NEUER_PFAD.

--relocate ALTER_PFAD=NEUER_PFAD
    übersetzt für verschiebbare Binärpakete sämtliche Dateipfade, die mit ALTER_PFAD beginnen, in die Paketverschiebeanweisungen nach NEUER_PFAD. Diese Option kann wiederholt verwendet werden, falls verschiedene ALTE_PFADE im Paket verschoben werden sollen.

--replacefiles
    installiert die Pakete selbst dann, wenn sie Dateien aus anderen, bereits installierten Paketen überschreiben.

--replacepkgs
    installiert die Pakete selbst dann, wenn einige davon bereits auf diesem System installiert sind.

--test
    installiert das Paket nicht, sondern prüft nur auf potenzielle Konflikte und meldet diese.

  OPTIONEN ZUM LÖSCHEN
Die allgemeine Form eines rpm-Löschbefehls lautet:

rpm {-e|--erase} [--allmatches] [--justdb] [--nodeps] [--noscripts] [--notriggers] [--test] PAKETNAME …

Die folgenden Optionen können außerdem verwendet werden:

--allmatches
    entfernt alle Versionen eines Pakets, die dem PAKETNAMEN entsprechen. Normalerweise würde ein Fehler ausgegeben, wenn der PAKETNAME auf mehrere Pakete passt.

--justdb
    aktualisiert nur die Datenbank, jedoch nicht das Dateisystem.

--nodeps
    überprüft vor dem Deinstallieren der Pakete keine Abhängigkeiten.

--noscripts, --nopreun, --nopostun
    führt das Scriptlet des angegebenen Namens nicht aus. Die Option --noscripts während der Löschung eines Pakets ist gleichbedeutend mit

--nopreun --nopostun

und deaktiviert die Ausführung der entsprechenden %preun- und %postun-Scriptlets.

--notriggers, --notriggerun, --notriggerpostun
    führt kein Trigger-Scriptlet des genannten Typs aus. Die Option --notriggers ist gleichbedeutend mit

--notriggerun --notriggerpostun

und deaktiviert die Ausführung der entsprechenden %triggerun- und %triggerpostun-Scriptlets.

--test
    deinstalliert nichts wirklich, sondern arbeitet nur die Schritte ab. Dies ist in Verbindung mit der Option -vv für Debugging-Zwecke nützlich.

  ABFRAGEOPTIONEN
Die allgemeine Form eines rpm-Abfragebefehls lautet:

rpm {-q|--query} [Auswahloptionen] [Abfrageoptionen]

Sie können das Format angeben, in dem die Paketinformation ausgegeben werden soll. Dafür verwenden Sie die Option

--qf|--queryformat ABFRAGEFORMAT

gefolgt von der Formatzeichenkette ABFRAGEFORMAT. Die Abfrageformate sind modifizierte Versionen der Standardformatierung gemäß printf(3). Das Format wird aus statischen Zeichenketten (die Standard-C-Ersetzungscodes für Zeilenvorschübe, Tabulatoren und andere spezielle Zeichen (ohne \0) enthalten dürfen) und Formatierern des printf(3)-Typs gebildet. Da rpm den auszugebenden Typ bereits kennt, muss die Typangabe allerdings weggelassen und durch den in geschweifte Klammern ({}) eingeschlossenen Namen des auszugebenden Kopfdaten-Tags ersetzt werden. Für die Tag-Namen wird Groß-/Kleinschreibung nicht beachtet und der vorangestellte RPMTAG_-Teil des Tag-Namens kann ebenfalls weggelassen werden.

Alternative Ausgabeformate können Sie anfordern, indem Sie dem Tag :typetag anhängen. Derzeit werden die folgenden Typen unterstützt:

:armor
    kapselt einen öffentlichen Schlüssel in ASCII-Panzerung.

:arraysize
    zeigt die Anzahl der Elemente in Feld-Tags an.

:base64
    kodiert Binärdaten mittels base64.

:date
    verwendet das strftime(3)-Format »%c«.

:day
    verwendet das strftime(3)-Format »%a %b %d %Y«.

:depflags
    formatiert den Operator für Abhängigkeitsvergleiche.

:deptype
    formatiert den Abhängigkeitstyp.

:expand
    führt eine Makro-Expansion aus.

:fflags
    formatiert Dateiparameter.

:fstate
    formatiert den Dateistatus.

:fstatus
    formatiert den Dateiüberprüfungsstatus.

:hex
    formatiert hexadezimal.

:octal
    formatiert oktal.

:humaniec
    menschenlesbare Zahl (im Format gemäß IEC 80000). Die Endung K = 1024, M = 1048576, …

:humansi
    menschenlesbare Zahl (im Format gemäß SI). Die Endung K = 1000, M = 1000000, …

:json
    Umbrechen von Daten in JSON.

:perms
    formatiert Dateizugriffsrechte.

:pgpsig
    zeigt Fingerabdruck und Zeitstempel der Signatur an.

:shescape
    maskiert einzelne Anführungszeichen zur Verwendung in einem Skript.

:string
    zeigt im Zeichenkettenformat an (Vorgabe).

:tagname
    Zeigt den Tag-Namen an.

:tagnum
    Zeigt die Tag-Nummer an.

:triggertype
    zeigt die Trigger-Endung an.

:vflags
    Dateiüberprüfungsparameter.

:xml
    bettet die Daten in einfaches XML-Markup ein.

Um beispielsweise nur die Namen der abgefragten Pakete auszugeben, könnten Sie %{NAME} als Formatzeichenkette angeben. Um die Namen der Pakete und die Distributionsinformationen in zwei Spalten auszugeben, könnten Sie %-30{NAME}%{DISTRIBUTION} verwenden. rpm gibt eine Liste aller bekannter Tags aus, wenn es mit dem Argument --querytags aufgerufen wird.

Es gibt drei Options-Teilgruppen zur Abfrage: Paketauswahl, Dateiauswahl und Informationsauswahl.

  PAKETAUSWAHLOPTIONEN

PAKETNAME
    fragt das installierte Paket mit dem angegebenen PAKETNAMEN ab. Um ein Paket genauer anzugeben, darf auf den Paketnamen die Version oder die Version und Veröffentlichung (beide durch einen Bindestrich getrennt) oder ein Architekturname (durch einen Punkt getrennt) folgen. Siehe die Ausgabe von rpm -qa oder rpm -qpPAKETDATEI als Beispiel.

-a, --all [SELEKTION]
    fragt alle installierten Pakete ab.

Ein optionaler SELEKTION in der Form Tag=Muster kann bereitgestellt werden, um die Auswahl einzugrenzen, zum Beispiel name="b*", um Pakete abzufragen, deren Name mit »b« beginnt.

--dupes
    listet Paketduplikate auf.

-f, --file DATEI
    fragt Pakete ab, zu denen die DATEI gehört.

--filecaps
    listet Dateinamen mit POSIX1.e-Capabilitys auf.

--fileclass
    listet Dateinamen mit deren Klassen auf (Libmagic-Klassifizierung).

--filecolor
    listet Dateinamen mit deren »Farben« auf (0 für architekturunabhängig, 1 für 32 Bit, 2 für 64 Bit).

--fileprovide
    listet Dateinamen mit deren Bereitstellungen auf.

--filerequire
    listet Dateinamen mit deren Erfordernissen auf.

-g, --group GRUPPE
    fragt Pakete ab, die zur angegebenen GRUPPE gehören.

--hdrid SHA1
    fragt ein Paket ab, das einen angegebenen Kopfdaten-Bezeichner enthält, das heißt, die SHA1-Prüfsumme des unveränderlichen Kopfdaten-Teils.

-p, --package PAKETDATEI
    fragt eine (nicht installierte) PAKETDATEI ab. Die PAKETDATEI kann als URL im ftp- oder http-Stil angegeben werden, wobei dann die Paket-Kopfdaten heruntergeladen und abgefragt werden. Siehe FTP/HTTP-OPTIONEN für Informationen dazu, welche ftp- und http-Client-Optionen rpm unterstützt. Das oder die Argument(e) der PAKETDATEI, sofern dieses kein Binärpaket ist, werden als eine ASCII-Paketliste interpretiert, außer wenn die Option --nomanifest verwendet wird. In den Listen sind Kommentare erlaubt, die mit einem # beginnen; außerdem darf jede Zeile der Paketliste durch Leerraum getrennte Glob-Ausdrücke enthalten, einschließlich URLs, die zu Pfaden expandiert werden, die anstelle der Paketliste als zusätzliche PAKETDATEI-Argumente zur Abfrage hinzugefügt werden.

--path PFAD
    fragt Pakete ab, denen PFAD gehört, ob die Datei installiert ist oder nicht. PFAD kann mehreren Paketen gehören, die Datei gehört aber allein dem zuletzt installierten Paket.

--pkgid MD5
    fragt ein Paket ab, das einen angegebenen Paketbezeichner enthält, das heißt, die MD5-Prüfsumme der kombinierten Kopfdaten- und Nutzdateninhalte.

--querybynumber HDR-NUMMER
    fragt den Datenbankeintrag mit der angegebenen HDR-NUMMER direkt ab; dies ist nur für Debugging-Zwecke nützlich.

--specfile SPEC-DATEI
    wertet die SPEC-Datei so aus und fragt sie ab, als wäre sie ein Paket. Obwohl nicht alle Informationen verfügbar sind (zum Beispiel Dateilisten), erlaubt dieser Abfragetyp rpm, Informationen aus Spec-Dateien zu holen, ohne dass ein Spec-Datei-Auswertprogramm geschrieben werden muss.

--tid TID
    fragt Pakete mit der angegebenen Transaktionskennung TID ab. Als Transaktionskennung wird derzeit ein UNIX-Zeitstempel verwendet. Alle Pakete, die in einer einzelnen Transaktion installiert oder gelöscht wurden, haben eine gemeinsame Kennung.

--triggeredby PAKETNAME
    fragt alle Pakete ab, die vom Paket oder den Paketen PAKETNAME getriggert werden.

--whatobsoletes FÄHIGKEIT
    fragt alle Pakete ab, die die angegebene FÄHIGKEIT als veraltet markieren, um korrekt funktionieren zu können.

--whatprovides FÄHIGKEIT
    fragt alle Pakete ab, die die angegebene FÄHIGKEIT bereitstellen.

--whatrequires FÄHIGKEIT
    fragt alle Pakete ab, die die angegebene FÄHIGKEIT zum korrekten Funktionieren benötigen.

--whatconflicts FÄHIGKEIT
    fragt alle Pakete ab, die mit der angegebenen FÄHIGKEIT im Konflikt stehen.

--whatrecommends FÄHIGKEIT
    fragt alle Pakete ab, die die angegebene FÄHIGKEIT empfehlen.

--whatsuggests FÄHIGKEIT
    fragt alle Pakete ab, die die angegebene FÄHIGKEIT vorschlagen.

--whatsupplements FÄHIGKEIT
    fragt alle Pakete ab, die die angegebene FÄHIGKEIT ergänzen.

--whatenhances FÄHIGKEIT
    fragt alle Pakete ab, die die angegebene FÄHIGKEIT erweitern.

  OPTIONEN ZUR PAKETABFRAGE

--changelog
    zeigt Änderungsinformationen des Pakets an.

--changes
    zeigt Änderungsinformationen mit vollständigen Zeitstempeln für das Paket an.

--conflicts
    listet die Fähigkeiten auf, zu denen dieses Paket im Konflikt steht.

--dump
    gibt Dateiinformationen wie folgt aus (impliziert -l):

            Pfad Größe Änderungszeit Prüfsumme Modus Eigentümer Gruppe istKonfiguration istDokumentation Rdev Symlink

--enhances
    listet die Fähigkeiten auf, die dieses Paket verbessert.

--filesbypkg
    listet alle Dateien in jedem ausgewählten Paket auf.

--filetriggers
    listet Dateitrigger-Scriptlets aus dem oder den angegebenen Paket(en) auf.

-i, --info
    zeigt Paketinformationen wie Name, Version und Beschreibung an. Dies verwendet --queryformat, falls angegeben.

--last
    ordnet die Paketauflistung nach Installationszeitpunkt, so dass die neuesten Pakete zuerst angezeigt werden.

-l, --list
    listet die Dateien im Paket auf.

--obsoletes
    listet Pakete auf, die durch dieses Paket als veraltet markiert werden.

--provides
    listet die Fähigkeiten auf, die dieses Paket bereitstellt.

--recommends
    listet die Fähigkeiten auf, die dieses Paket empfiehlt.

-R, --requires
    listet die Fähigkeiten auf, von denen dieses Paket abhängt.

--suggests
    listet die Fähigkeiten auf, die von Paket(en) vorgeschlagen werden.

--supplements
    listet die Fähigkeiten auf, die von Paket(en) ergänzt werden.

--scripts
    listet das oder die paketspezifischen Scriptlet(s) auf, die als Teil des Installations- und Deinstallationsprozesses verwendet werden.

-s, --state
    zeigt die Status der Dateien im Paket an (impliziert -l). Der Status jeder der Dateien ist normal, nicht installiert oder ersetzt.

--triggers, --triggerscripts
    zeigt die Triggerskripte an, sofern vorhanden, die in einem Paket enthalten sind.

--xml
    formatiert Kopfdaten der Pakete als XML.

  OPTIONEN ZUR DATEIAUSWAHL

-A, --artifactfiles
    schließt nur Artefakt-Dateien ein (impliziert -l).

-c, --configfiles
    schließt nur Konfigurationsdateien ein (impliziert -l).

-d, --docfiles
    schließt nur Dokumentationsdateien ein (impliziert -l).

-L, --licensefiles
    schließt nur Lizenzdateien ein (impliziert -l).

--noartifact
    schließt Artefakt-Dateien aus.

--noconfig
    schließt Konfigurationsdateien aus.

--noghost
    schließt Ghost-Dateien aus.

  ÜBERPRÜFUNGSOPTIONEN
Die allgemeine Form eines rpm-Überprüfungsbefehls lautet

rpm {-V|--verify} [Auswahloptionen] [Überprüfungsoptionen]

Bei der Überprüfung von Paketen werden Informationen zu den vom Paket installierten Dateien mit den Informationen zu den Dateien, die aus den aus der rpm-Datenbank Paket-Metadaten bezogen werden, verglichen. Unter anderem werden Größe, Prüfsumme, Zugriffsrechte, Typ, Eigentümer und Gruppe jeder Datei verglichen. Alle Unstimmigkeiten werden angezeigt. Dateien aus dem Paket, die nicht installiert wurden, beispielsweise wenn mit der Option --excludedocs Dokumentationsdateien von der Installation ausgeschlossen wurden, werden stillschweigend ignoriert.

Die Paket- und Dateiauswahloptionen sind die gleichen wie für die Abfrage von Paketen (einschließlich der Paketlistendateien als Argumente). Weitere Optionen nur für den Überprüfungsmodus sind:

--nodeps
    überprüft die Abhängigkeiten von Paketen nicht.

--nodigest
    überprüft beim Lesen keine Paket- oder Kopfdaten-Prüfsummen.

--nofiles
    überprüft keine Attribute von Paketdateien.

--noscripts
    führt das %verifyscript-Scriptlet nicht aus (falls vorhanden).

--nosignature
    überprüft beim Lesen keine Paket- oder Kopfdaten-Signaturen.

--nolinkto

--nofiledigest (früher --nomd5)

--nosize

--nomtime

--nomode

--nordev
    überprüft das zugehörige Dateiattribut nicht.

--nouser

--nogroup
    überprüft keine Zugehörigkeiten von Benutzer/Gruppe von Dateien. Beachten Sie, dass dazu nur lokale passwd(5)- und group(5)-Datenbanken konsultiert werden.

--nocaps
    überprüft keine Datei-Capabilitys.

Das Ausgabeformat besteht aus 9 Zeichen, die möglicherweise Attributsmarkierungen sind.

        **a** %**a**rtifact eine Datei als Seiteneffekt vom Bauen (wie »build-id«-Links).
        **c** %**c**onfig Konfigurationsdatei.
        **d** %**d**oc Dokumentationsdatei.
        **g** %**g**host Datei (d.h. der Inhalt der Datei gehört nicht zu den Nutzdaten des Pakets).
        **l** %**l**icense Lizenzdatei.
        **m** %**m**issingok eine fehlende Datei ergibt keinen Überprüfungsfehler.
        **n** %%config(**n**oreplace) (Datei nicht ersetzen).
        **r** %**r**eadme README-Datei.
        **s** **s**pecfile in Quellpaket.

aus den Kopfdaten des Pakets, gefolgt vom Dateinamen. Jedes der 9 Zeichen steht für das Ergebnis eines Vergleichs des Attributs oder der Attribute mit den Werten, die in der Datenbank enthalten sind. Ein einzelner Punkt (».«) bedeutet, dass der Test erfolgreich war, während ein einzelnes Fragezeichen (»?«) bedeutet, dass der Test nicht ausgeführt werden konnte (zum Beispiel weil Dateizugriffsrechte den Lesezugriff verhindert haben). Anderenfalls bezeichnet ein fett hervorgehobenes Zeichen den Fehlschlag des korrespondierenden Tests mit --verify:

        **S** **S**ize Dateigröße ist unterschiedlich
        **M** **M**ode Modus ist unterschiedlich (Zugriffsrechte und Dateityp)
        **5** MD**5** Prüfsumme (früher MD5-Summe) ist unterschiedlich
        **D** **D**evice Major/Minor-Nummer der Geräte sind unterschiedlich
        **L** read**L**ink(2) readlink(2)-Pfad passt nicht
        **U** **U**ser Benutzer (Eigentümer) ist unterschiedlich
        **G** **G**roup Gruppe ist unterschiedlich
        **T** m**T**ime Zeit ist unterschiedlich
        **P** ca**P**abilities Fähigkeiten sind unterschiedlich

  VERSCHIEDENE BEFEHLE

rpm --showrc
    zeigt die Werte an, die rpm für alle Optionen verwendet, die gegenwärtig in den rpmrc- und macros-Konfigurationsdateien gesetzt sind.

rpm --setperms | --setugids | --setcaps PAKETNAME
    veraltete Aliase für --restore

rpm --restore [select-options]
    stellt die Metadaten wie Zeitstempel, Besitzer, Gruppe, Befugnisse und Capabilitys von Dateien in dem angegebenen Paket wieder her.

  FTP/HTTP-OPTIONEN
rpm kann als FTP- und/oder HTTP-Client agieren, so dass Pakete aus dem Internet abgefragt oder installiert werden können. Paketdateien zum Installieren, Aktualisieren oder Abfragen können als URL im ftp- oder http-Stil angegeben werden:

http://HOST[:PORT]/Pfad/zum/Paket.rpm

ftp://[BENUTZER:PASSWORT]@RECHNER[:PORT]/Pfad/zum/Paket.rpm

Falls sowohl Benutzer als auch Passwort weggelassen werden, dann erfolgt der ftp-Zugriff anonym.

rpm akzeptiert bei der Verwendung von FTP-URLs die folgenden Optionen:

rpm akzeptiert bei der Verwendung von http- und ftp-URLs die folgenden Optionen:

--httpproxy RECHNER
    Der angegebene RECHNER wird als Proxy-Server für alle http- und ftp-Übertragungen verwendet. Diese Option kann auch bei der Konfiguration des Makros %_httpproxy angegeben werden.

--httpport PORT
    gibt die TCP-PORT-Nummer an, die für die HTTP-Verbindung auf dem Proxy-Server anstelle des standardmäßigen Ports verwendet werden soll. Diese Option kann auch durch Konfiguration des Makros %_httpport angegeben werden.

PROBLEME AUS ALTEN ZEITEN

  Ausführung von Rpmbuild
Die Erstellungsmodi von rpm sind nun im ausführbaren Programm /usr/bin/rpmbuild. Installieren Sie das Paket, welches rpmbuild enthält (üblicherweise rpm-build) und lesen Sie die Dokumentation in rpmbuild(8) zu allen Erstellungsmodi von rpm.

DATEIEN

  Rpmrc-Konfiguration
Jede der Dateien in dem durch Doppelpunkte getrennten rpmrc Pfad wird sequenziell von rpm gelesen, um Konfigurationsinformationen zu ermitteln. Nur die erste Datei in der Liste muss existieren und Tilden werden zum Wert der Variable $HOME expandiert. Die vorgegebene rpmc Pfad ist wie folgt:

        /usr/lib/rpm/rpmrc:
        /usr/lib/rpm/<Anbieter>/rpmrc:
        /etc/rpmrc:
        ~/.config/rpm/rpmrc

Wenn die Umgebungsvariable XDG_CONFIG_HOME gesetzt ist, dann ersetzt sie im Pfad ~/.config.

In früheren Versionen von rpm war der Pfad für benutzerspezifische Makros ~/.rpmmacros. Dieser Pfad wird weiterhin verarbeitet, wenn er existiert das neue Konfigurationsverzeichnis aber nicht.

  Makro-Konfiguration
Jede der Dateien oder glob(7)-Muster in dem durch Doppelpunkte getrennten Makro-Pfad wird sequenziell von rpm gelesen, um Makro-Definitionen zu ermitteln. Tilden werden zum Wert der Variable $HOME expandiert. Der standardmäßige Makro-Pfad ist wie folgt:

        /usr/lib/rpm/macros:
        /usr/lib/rpm/macros.d/macros.*:
        /usr/lib/rpm/platform/%{_target}/macros:
        /usr/lib/rpm/fileattrs/*.attr:
        /usr/lib/rpm/<Anbieter>/macros:
        /etc/rpm/macros.*:
        /etc/rpm/macros:
        /etc/rpm/%{_target}/macros:
        ~/.config/rpm/macros

Wenn die Umgebungsvariable XDG_CONFIG_HOME gesetzt ist, dann ersetzt sie im Pfad ~/.config.

In früheren Versionen von rpm war der Pfad für benutzerspezifische Makros ~/.rpmmacros. Dieser Pfad wird weiterhin verarbeitet, wenn er existiert das neue Konfigurationsverzeichnis aber nicht.

  Datenbank

        /var/lib/rpm/

  Temporäres

        /var/tmp/rpm*

SIEHE AUCH
rpm-misc(8), popt(3), rpm2cpio(8), rpmbuild(8), rpmdb(8), rpmkeys(8), rpmsign(8), rpmspec(8)

rpm --help - da rpm benutzerdefinierte Optionen über Popt-Aliase unterstützt, kann unmöglich garantiert werden, dass die Beschreibungen in diesem Handbuch exakt dem entsprechen, was verfügbar ist.

http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTOREN

        Marc Ewing <marc@redhat.com>
        Jeff Johnson <jbj@redhat.com>
        Erik Troan <ewt@redhat.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com>, Christoph Brinkhaus <c.brinkhaus@t-online.de> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.